
.newsletter-type-2 .newsletter-container {
  border-radius: 16px;
  display: flex;
  align-items: center;
  justify-content: center;
  position: relative;
  margin: 0 auto;
}

/* Glassmorphism effect */
.newsletter-type-2 .newsletter-content {
  background: rgba(255, 255, 255, 0.08);
  border-radius: 20px;
  padding: 40px 47px;
  backdrop-filter: blur(5px);
  border: 1px solid transparent;
  width: 100%;
}

.newsletter-type-2 .newsletter-content-inner {
  max-width: 550px;
  margin: 0 auto;
  text-align: center;
}


.newsletter-type-2 .newsletter-content p {
  margin: 0 0 0 0;
}

.newsletter-type-2 .newsletter-form {
  display: flex;
  align-items: center;
  gap: 0;
  margin-top: 21px;
}

.newsletter-type-2 .newsletter-form input[type="email"] {
  padding: 18px 10px;
  border-radius: var(--input-border-radius, 4px) 0 0
    var(--input-border-radius, 4px);
  font-size: 1rem;
  outline: none;
  color: var(--input-text-color, #222);
  width: calc(100% - 145px);
  font-family: var(--body-text-font, var(--text-font, "Inter", sans-serif));
  transition: all 0.3s ease;
}

.newsletter-type-2 .newsletter-form input[type="email"]:focus {
  border-color: var(--input-focus-border, #685dff);
  box-shadow: 0 0 0 2px rgba(104, 93, 255, 0.1);
}

.newsletter-type-2 .newsletter-form button {
  padding: 18px 10px;
  font-size: 16px;
  font-weight: 600;
  line-height: normal;
  letter-spacing: -0.16px;
  outline: none;
  width: 145px;
  cursor: pointer;
  font-family: var(--body-text-font, var(--text-font, "Inter", sans-serif));
  transition: all 0.3s ease;
}

/* Responsive styles using media queries */
@media (max-width: 1024px) {
  .newsletter-type-2 .newsletter-content {
    padding: 24px 12px;
    max-width: 100%;
  }
}

@media (max-width: 768px) {
  .newsletter-type-2 .newsletter-content {
    padding: 24px 12px;
    max-width: 100%;
  }

  .newsletter-type-2 .newsletter-form input[type="email"],
  .newsletter-type-2 .newsletter-form button {
    padding: 10px;
  }

  .newsletter-type-2 .newsletter-form {
    flex-direction: column;
    gap: 10px;
  }

  .newsletter-type-2 .newsletter-form input[type="email"] {
    border-radius: var(--input-border-radius, 4px);
    width: -webkit-fill-available;
  }

  .newsletter-type-2 .newsletter-form button {
    width: 100%;
  }
}